Bug 840171 - Review Request: python-django-recaptcha-works - Django module for integrate the reCaptcha service
Review Request: python-django-recaptcha-works - Django module for integrate t...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 736776
  Show dependency treegraph
 
Reported: 2012-07-13 23:47 EDT by Praveen Kumar
Modified: 2012-10-03 04:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-02 10:58:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
sample example for django-recaptcha-works to test compatiablity with django>=1.4 (5.53 KB, application/x-gzip)
2012-08-21 12:14 EDT, Praveen Kumar
no flags Details

  None (edit)
Description Praveen Kumar 2012-07-13 23:47:22 EDT
Spec URL: http://kumarpraveen.fedorapeople.org/recaptcha-works/python-django-recaptcha-works.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/recaptcha-works/python-django-recaptcha-works-0.3.4-1.fc17.src.rpm
Description: python-django-recaptcha-works provides a Django form field that integrates the reCaptcha service.
Fedora Account System Username: kumarpraveen

Koji build : http://koji.fedoraproject.org/koji/taskinfo?taskID=4239356

Note : This is package rename request.
Comment 1 Matthias Runge 2012-08-17 14:58:42 EDT
Ok, I'm a little astonished, this review is assigned to me....

Some drive by comments:
- obsoletes and latest version don't fit together: you're obsoleting your latest version. There are two mistakes: Your version should read 0.3.4-3, AND your packaged version should be 0.3.4-3, too. It's not a problem, to start with a release -3.
- you should correct the changelog, too.
- do you have a small test application? This software is basically from 2010, django-1.4.1 is a major upgrade and introduces some incompatible changes to prior versions.
Comment 2 Praveen Kumar 2012-08-21 12:14:56 EDT
Created attachment 605975 [details]
sample example for django-recaptcha-works to test compatiablity with django>=1.4
Comment 3 Praveen Kumar 2012-08-21 12:27:36 EDT
(In reply to comment #1)
> Ok, I'm a little astonished, this review is assigned to me....
I thought you are take care of all django rename requests, sorry if I misunderstood.
> 
> Some drive by comments:
> - obsoletes and latest version don't fit together: you're obsoleting your
> latest version. There are two mistakes: Your version should read 0.3.4-3,
> AND your packaged version should be 0.3.4-3, too. It's not a problem, to
> start with a release -3.
> - you should correct the changelog, too.
Done
> - do you have a small test application? This software is basically from
> 2010, django-1.4.1 is a major upgrade and introduces some incompatible
> changes to prior versions.
Attached a sample code tested with django-1.4

Updated SPEC: http://kumarpraveen.fedorapeople.org/recaptcha-works/python-django-recaptcha-works.spec
SRPM : http://kumarpraveen.fedorapeople.org/recaptcha-works/python-django-recaptcha-works-0.3.4-3.fc17.src.rpm

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=4410423
Comment 4 Matthias Runge 2012-08-21 15:54:06 EDT
Great!

To try the test app, I just created python-django-bootstrap-toolkit:
https://bugzilla.redhat.com/show_bug.cgi?id=850548
Maybe, you'll do a review?


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[!]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)" For detailed output of licensecheck see file:
     /home/mrunge/review/840171-python-django-recaptcha-works/licensecheck.txt
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (django-recaptcha-works-0.3.4.tar.gz)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: python-django-recaptcha-works-0.3.4-3.fc19.src.rpm
          python-django-recaptcha-works-0.3.4-3.fc19.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
python-django-recaptcha-works-0.3.4-3.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    python(abi) = 2.7

Provides
--------
python-django-recaptcha-works-0.3.4-3.fc19.noarch.rpm:
    
    django-recaptcha-works = 0.3.4-3.fc19
    python-django-recaptcha-works = 0.3.4-3.fc19

MD5-sum check
-------------
http://pypi.python.org/packages/source/d/django-recaptcha-works/django-recaptcha-works-0.3.4.tar.gz :
  CHECKSUM(SHA256) this package     : 92e51a63474184598dde637e1d0e300f3a1ac264b0f85506a5c129aae1b30f7c
  CHECKSUM(SHA256) upstream package : 92e51a63474184598dde637e1d0e300f3a1ac264b0f85506a5c129aae1b30f7c


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 840171


One issue left:
you should remove compile flags (because noarch does not depend on compile flags)

%build
%{__python} setup.py build

I guess, that can be done during import.

Package APPROVED
Comment 5 Praveen Kumar 2012-08-21 21:21:31 EDT
New Package SCM Request
=======================
Package Name: python-django-recaptcha-works
Short Description: Django module for integrate the reCaptcha service
Owners: kumarpraveen
Branches: f18 devel
Comment 6 Gwyn Ciesla 2012-08-22 07:08:48 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-08-22 13:36:27 EDT
python-django-recaptcha-works-0.3.4-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-django-recaptcha-works-0.3.4-3.fc18
Comment 8 Fedora Update System 2012-08-23 00:35:14 EDT
python-django-recaptcha-works-0.3.4-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Matthias Runge 2012-10-02 03:39:25 EDT
What's the status here? That package hasn't been submitted to stable, please do so!
Comment 10 Praveen Kumar 2012-10-02 10:58:28 EDT
Pushed to stable repo.
Comment 11 Matthias Runge 2012-10-03 04:05:37 EDT
Thanks!

Note You need to log in before you can comment on or make changes to this bug.